# Generated by Django 4.0.3 on 2024-05-03 11:58

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('Policies', '0032_remove_policyguide_dmp_recommendation_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='DMP_Tool',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='NONE', max_length=30)),
                ('url', models.CharField(default='NONE', max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='Storage_Tool',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='NONE', max_length=30)),
                ('url', models.CharField(default='NONE', max_length=30)),
            ],
        ),
        migrations.AddField(
            model_name='policyguide',
            name='dmp_recommendation',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='Policies.dmp_tool'),
        ),
        migrations.AddField(
            model_name='policyguide',
            name='storage_recommendation',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='Policies.storage_tool'),
        ),
        migrations.AddField(
            model_name='projectpolicy',
            name='dmp_recommendation',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='Policies.dmp_tool'),
        ),
        migrations.AddField(
            model_name='projectpolicy',
            name='storage_recommendation',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='Policies.storage_tool'),
        ),
    ]
